<?php
/*
Plugin Name: DirtySuds - Embed YouTube
Plugin URI: http://blog.dirtysuds.com/category/plugins/embed-youtube-iframe/
Description: Embed YouTube videos using iFrame player instead of Flash <object>
Author: Dirty Suds
Version: 1.061
Author URI: http://dirtysuds.com
License: GPL2

Updates:
1.07 - Plugin is no longer required or supported
1.06 - Fixed problem with Youtu.be URLs (Thanks Uzicoppa)
1.05 - Enable auto-embeds on activation
1.04 - Added support for wmode=transparent
1.03 - Clear oembed cache on install
1.02 - Added check to see if embeds work properly
1.01 - Bugfix
1.00.20110224 - First Version

  Copyright 2011 Pat Hawks  (email : pat@pathawks.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

add_action( 'admin_init', 'dirtysuds_embed_youtube_deactivate' );
add_action( 'admin_notices', 'dirtysuds_embed_youtube_admin_notice' );

function dirtysuds_embed_youtube_deactivate() {
	deactivate_plugins( plugin_basename( __FILE__ ) );
}

function dirtysuds_embed_youtube_admin_notice() {
	echo '<div class="updated"><p><strong>DirtySuds - Embed YouTube</strong> was folded into WordPress core; the plug-in has been <strong>deactivated</strong>.</p></div>';
	if ( isset( $_GET['activate'] ) )
		unset( $_GET['activate'] );
}